Loading...
Searching...
No Matches
list_graph.h File Reference
Data Structures » Graph Structures
`#include <lemon/core.h>`
`#include <lemon/error.h>`
`#include <lemon/bits/graph_extender.h>`
`#include <vector>`
`#include <list>`

## Classes

class | ListDigraph
| A general directed graph structure. More...
class | ListDigraph::Snapshot
| Class to make a snapshot of the digraph and restore it later. More...
class | ListGraph
| A general undirected graph structure. More...
class | ListGraph::Snapshot
| Class to make a snapshot of the graph and restore it later. More...
class | ListBpGraph
| A general undirected graph structure. More...
class | ListBpGraph::Snapshot
| Class to make a snapshot of the graph and restore it later. More...

## Namespaces

namespace | lemon
| The namespace of LEMON.